<?php
/**
 * FIT FileIOException
 *
 * $Id$
 *
 * @author gERD Schaufelberger <gerd@php-tools.net>
 * @package FIT
 * @subpackage FileRunner
 * @license LGPL http://www.gnu.org/copyleft/lesser.html
 */

/**
 * FIT FileIOException
 *
 * @version 0.1.0
 * @package FIT
 * @subpackage Exception
 */
class Testing_FIT_Exception_FileIO extends Exception 
{
   /**
    * Where did this error occur
    */
    protected $filename;
    
   /**
    * constructor
    * 
    * @param string $msg message string
    * @param string $file name of file
    */
    function __construct( $msg, $filename ) 
    {
        $this->message  = $msg;
        $this->filename = $filename;
    }

   /**
    * receive fila name
    * 
    * @return string $file name of file
    */
    function getFilename() 
    {
        return $this->filename;
    }
}
?>